<!DOCTYPE html>
<html>
<head>
    <title> task 31.10 jquery create element </title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<style>
    .div-background-picture {
        background-image: url("images/signup-bg.jpg");
        height: 100%;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        opacity: 1;
    }

    .div-container-jumbotron {
        padding: 120px;
        background-color: white;
        border-radius: 15px;
    }

    .div-create-account {
        margin-top: -70px;
        font-family:Arial, Helvetica, sans-serif
    }

    .div-form-group {
        margin-top: -50px;
        margin-left: -70px;
        margin-right: -70px;
        padding: 50px;
    }

    .div-input-box {
        border-radius: 8px;
        height: 60px;
        opacity: 0.7;
        margin-bottom: 22px;
    }

    .div-I-agree {
        margin-top: -20px;
        margin-bottom: 20px; 
        opacity: 0.8;
    }

    .div-login {
        margin-bottom: -100px;  
    }

    .div-button {
        height: 50px;
    }

</style>

<body>
   
    <div class="container-fluid div-background-picture">
        
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-5 text-center mx-auto my-0 jumbotron div-container-jumbotron">
                  <form id="form-login" action="#" method="post"></form>  
                    <div class="mb-5 div-create-account">
                        <h3 class="text-center "><b>CREATE ACCOUNT</b></h3>
                    </div>
                
                    <div class="div-form-group">
                    
                        <div class="form-group ">
                            <input id="inp-your-name" class="form-control div-input-box" type="text" name="yourname" value="" autocomplete="yourname" placeholder="Your Name">
                        </div>
                    
                        <div class="form-group">
                            <input id="inp-email" class="form-control div-input-box" type="text" name="email" value="" autocomplete="email" placeholder="Your Email">
                        </div>
                    
                        <div class="form-group">
                            <input id="inp-password" class="form-control div-input-box" type="password" name="password" value=""  placeholder="Password">
                        </div>
                    
                        <div class="form-group">
                            <input id="inp-repeat-password" class="form-control div-input-box" type="password" name="repeat-password" value="" placeholder="Repeat your password">
                        </div>
                    <br>
                        <div>
                            <div class="text-left div-I-agree">
                                <input id="inp-checkbox" type="checkbox" >
                                <label><b>I agree all statements in <u>Terms of service</u></b></label>
                            </div>
                        </div>
                    <br>
                        <div class="form-group">
                            <button id="btn-sign-up" class="btn btn-success btn-block btn-log div-button"><b>SIGN UP</b></button>
                        </div>
                        
                    <br><br><br><br><br>
                    
                        <div>
                            <div class="div-login">
                                <label>Have already an account?</label>
                                <a class="text-center "><b><u>Login here</u></b></a>
                            </div>
                        </div>
                    </div>
                    </form>
                </div>
            </div>
        </div>

</body>

<script>

//add event for Sign-up Button
$("#btn-sign-up").on('click', function(){
    btnSignUpButton()
});


//function for Sign-up button
function btnSignUpButton(){
    
    //create user object
    var vUserObject = {
        yourName: "",
        yourEmail: "",
        password: Number,
        repeatPassword: Number,
        iAgree: false,
    }

    //read data from web
    readWebData(vUserObject);

    //validate the data
    var vValidResult = validateWebData(vUserObject);
    
    console.log("%cUSER INFORMATION: ", 'color:orange');
    console.log("Your name: ", vUserObject.yourName);
    console.log("Your email: ", vUserObject.yourEmail);
    console.log("Password: ", vUserObject.password);
    console.log("Repeat-password: ", vUserObject.repeatPassword);
    console.log("I agree: ", vUserObject.iAgree);


}

//function for reading data from web
function readWebData(paramData){
    var vYourNameElement = $('#inp-your-name').val();
    var vYourEmailElement = $('#inp-email').val();
    var vPasswordElement = $('#inp-password').val();
    var vRepeatPasswordElement = $('#inp-repeat-password').val();
    var vAgreeCheckElement = $('#inp-checkbox').is(':checked');

    paramData.yourName = vYourNameElement;
    paramData.yourEmail = vYourEmailElement;
    paramData.password = vPasswordElement;
    paramData.repeatPassword = vRepeatPasswordElement;
    paramData.iAgree = vAgreeCheckElement;
}

//function for validating the data
function validateWebData(paramData){
    if (paramData.yourName == ""){
        alert("Please input your name !!!");
        return false;
    }
    if (paramData.yourEmail == ""){
        alert("Please input your email !!!");
        return false;
    }
    if (validateEmail(paramData.yourEmail) == false){
        return false;
    }
    if (paramData.password == ""){
        alert("Please input your password !!!");
        return false;
    }
    if (paramData.password.length < 8){
        alert("Password must be from 8 characters or above !!!");
        return false;
    }
    if (paramData.repeatPassword == ""){
        alert("Please repeat your password !!!");
        return false;
    }
    if (paramData.repeatPassword !== paramData.password ){
        alert("Password and the Repeat-password must be the same !!!");
        return false;
    }
    if (paramData.iAgree == false){
        alert("Please mark the agreement term !!!");
        return false;
    }
}

//email checking
function validateEmail(sEmail) {
  var reEmail = /^(?:[\w\!\#\$\%\&\'\*\+\-\/\=\?\^\`\{\|\}\~]+\.)*[\w\!\#\$\%\&\'\*\+\-\/\=\?\^\`\{\|\}\~]+@(?:(?:(?:[a-zA-Z0-9](?:[a-zA-Z0-9\-](?!\.)){0,61}[a-zA-Z0-9]?\.)+[a-zA-Z0-9](?:[a-zA-Z0-9\-](?!$)){0,61}[a-zA-Z0-9]?)|(?:\[(?:(?:[01]?\d{1,2}|2[0-4]\d|25[0-5])\.){3}(?:[01]?\d{1,2}|2[0-4]\d|25[0-5])\]))$/;

  if(!sEmail.match(reEmail)) {
    alert("Invalid email address");
    return false;
  }
  return true;
}

</script>  
  
</html>
